<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Illuminate\Support\HtmlString;

class UserRegistered extends Notification
    {
    use Queueable;
    public $password;
    public $login;
    /**
     * Create a new notification instance.
     */
    public function __construct(string $login, string $password)
        {
        $this->password = $password;
        $this->login = $login;
        }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(object $notifiable): array
        {
        return ['mail'];
        }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
        {
        return (new MailMessage)
            ->from(env('MAIL_FROM_ADDRESS'), config('app.name', 'Партнерский кабинет'))
            ->subject(__('Account was created'))
            ->line(__('Your account was created'))
            ->line(__('Your login', ['login' => $this->login]))
            ->line(__('Your password', ['password' => $this->password]))
            ->action(__('Go to login'), url(path: '/'));
        }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
        {
        return [
            //
        ];
        }
    }
